<template>
  <el-breadcrumb class="app-breadcrumb" separator="/">
    <transition-group name="breadcrumb">
      <el-breadcrumb-item v-for="(item,index) in levelList" :key="item.path">
        <span v-if="(item.meta && item.meta.clickable === 'noRedirect') || index == levelList.length - 1" class="no-redirect">{{ item.meta.title }}</span>
        <a v-else @click.prevent="handleLink(item, levelList.length - index - 1)">{{ item.meta.title }}</a>
      </el-breadcrumb-item>
    </transition-group>
  </el-breadcrumb>
</template>

<script setup>
const route = useRoute();
const router = useRouter();
const levelList = ref([])
const { proxy } = getCurrentInstance();

function getBreadcrumb() {
  // only show routes with meta.title
  let matched = route.matched.filter(item => item.meta && item.meta.title);
  // levelList.value = matched.filter(item => item.meta && item.meta.title && item.meta.breadcrumb !== false)
  const list = matched.filter(item => item.meta && item.meta.title && item.meta.breadcrumb !== false)
  const  breadcrumbList = [];
  for(let i = 0; i < list.length; i++) {
    if (list[i].meta.preTitle) {
      breadcrumbList.push({
        meta: {
          title: list[i].meta.preTitle,
        },
        path: list[i].meta.activeMenu
      })
      if (list[i].meta.preTitle2) {
        breadcrumbList.push({
        meta: {
          title: list[i].meta.preTitle2,
        },
        path: list[i].meta.activeMenu
      })
      }
      breadcrumbList.push(list[i])
    } else {
      breadcrumbList.push(list[i])
    }
  }
  levelList.value = breadcrumbList
}
function isDashboard(route) {
  const name = route && route.name
  if (!name) {
    return false
  }
  return name.trim() === 'Index'
}
function handleLink(item,index) {
  proxy.$router.go(-index)
}

watchEffect(() => {
  // if you go to the redirect page, do not update the breadcrumbs
  if (route.path.startsWith('/redirect/')) {
    return
  }
  getBreadcrumb()
})
getBreadcrumb();
</script>

<style lang='scss' scoped>
.app-breadcrumb.el-breadcrumb {
  display: inline-block;
  font-size: 14px;
  line-height: 50px;
  margin-left: 8px;

  .no-redirect {
    color: #97a8be;
    cursor: text;
  }
}
</style>